package com.bazaarvoice.hybris.controllers.pages;

import de.hybris.platform.acceleratorstorefrontcommons.controllers.pages.AbstractPageController;
import de.hybris.platform.cms2.exceptions.CMSItemNotFoundException;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
@RequestMapping(value = BVSubmissionContainerController.BV_SUBMISSIONCONTAINER_URL)
public class BVSubmissionContainerController extends AbstractPageController {

    public static final String SUBMISSION_CONTAINER_UID = "submissionContainer";
    public static final String BV_SUBMISSIONCONTAINER_URL = "/bv/submissioncontainer";

    @RequestMapping(method = RequestMethod.GET)
    public String submissionContainer(final Model model) throws CMSItemNotFoundException {
        storeCmsPageInModel(model, getContentPageForLabelOrId(SUBMISSION_CONTAINER_UID));
        String storefrontContextRoot = getSiteConfigService().getProperty("storefrontContextRoot");
        String containerRelativeUrl = storefrontContextRoot + BV_SUBMISSIONCONTAINER_URL;
        model.addAttribute("containerRelativeUrl", containerRelativeUrl);
        return getViewForPage(model);
    }
}